# Z11/Monolingual text (Z4/Type)
$id: Z11
$ref: "#/definitions/objects/Z11"
definitions:
  objects:
    Z11:
      anyOf:
        - $ref: "#/definitions/objects/Z11_literal"
        - $ref: RESOLVER#/definitions/objects/RESOLVER
    Z11_literal:
      additionalProperties: false
      properties:
        Z11K1:
          $ref: Z60#/definitions/objects/Z60
        Z11K2:
          $ref: Z6#/definitions/objects/Z6
        Z1K1:
          allOf:
            - $ref: Z9#/definitions/objects/Z9
            - enum:
                - Z11
              type: string
      required:
        - Z11K1
        - Z11K2
        - Z1K1
      type: object

    # Schema for typed list
    LIST_of_Z11:
      anyOf:
        - $ref: RESOLVER#/definitions/objects/RESOLVER
        - $ref: LIST#/definitions/objects/LIST_literal
          type: array
          minItems: 1
          items:
            - $ref: "#/definitions/objects/TYPE_is_Z11"
          additionalItems:
            $ref: "#/definitions/objects/Z11"
    TYPE_ref_Z11:
      allOf:
        - $ref: Z9#/definitions/objects/Z9
        - type: string
          enum:
            - Z11
    TYPE_literal_Z11:
      allOf:
        - $ref: Z4#/definitions/objects/Z4_literal
        - type: object
          properties:
            Z4K1:
              $ref: "#/definitions/objects/TYPE_is_Z11"
    TYPE_is_Z11:
      oneOf:
        - $ref: "#/definitions/objects/TYPE_ref_Z11"
        - $ref: "#/definitions/objects/TYPE_literal_Z11"
        - $ref: RESOLVER#/definitions/objects/RESOLVER_without_Z9
